Skip to content
Start here

Get a zone snippet content

client.snippets.content.get(stringsnippetName, ContentGetParams { zone_id } params, RequestOptionsoptions?): Response
GET/zones/{zone_id}/snippets/{snippet_name}/content

Fetches the content of a snippet belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
snippetName: string

Identify the snippet.

params: ContentGetParams { zone_id }
zone_id: string

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
unnamed_schema_10 = Response

Get a zone snippet content

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const content = await client.snippets.content.get('my_snippet', {
  zone_id: '9f1839b6152d298aca64c4e906b6d074',
});

console.log(content);

const data = await content.blob();
console.log(data);
Returns Examples